> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoliver.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Staff Tasks

> List staff tasks with optional status filtering and pagination



## OpenAPI

````yaml GET /services/core/open_api/v1/staff_tasks
openapi: 3.1.0
info:
  title: Oliver Partner API
  description: API for partners to interact with Oliver
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://partner-api.getoliver.com
security:
  - bearerAuth: []
paths:
  /services/core/open_api/v1/staff_tasks:
    get:
      description: List staff tasks with optional status filtering and pagination
      parameters:
        - name: X-Client-Id
          in: header
          description: The location id of the practice
          required: true
          schema:
            type: string
        - name: status
          in: query
          description: >-
            Filter tasks by status. Available values: `pending`, `completed`,
            `canceled`
          required: false
          schema:
            type: string
            enum:
              - pending
              - completed
              - canceled
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
            default: 0
        - name: per_page
          in: query
          description: Number of results per page. Max is 100.
          required: false
          schema:
            type: integer
            default: 50
      responses:
        '200':
          description: Staff tasks response
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - data
                properties:
                  success:
                    type: boolean
                  data:
                    $ref: '#/components/schemas/StaffTaskListResponse'
                    type: object
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralError'
components:
  schemas:
    StaffTaskListResponse:
      type: object
      required:
        - page
        - per_page
        - total_pages
        - total_count
        - content
      properties:
        page:
          type: integer
        per_page:
          type: integer
        total_pages:
          type: integer
        total_count:
          type: integer
        content:
          type: array
          description: An array of staff tasks
          items:
            $ref: '#/components/schemas/StaffTask'
    GeneralError:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
    StaffTask:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the staff task
        task_type:
          type: string
          enum:
            - task
            - rx_refill
          description: The type of staff task
        status:
          type: string
          enum:
            - pending
            - completed
            - canceled
          description: The current status of the task
        title:
          type: string
          description: The title of the task
        description:
          type: string
          description: A detailed description of the task
        client_id:
          type: string
          nullable: true
          description: The ID of the client associated with this task
        patient_id:
          type: string
          nullable: true
          description: The ID of the patient associated with this task
        cancellation_allowed:
          type: boolean
          description: Whether the task can be canceled
        override_completion_action_text:
          type: string
          nullable: true
          description: Custom text for the completion action button, if set
        reference_time_at:
          type: string
          format: date-time
          nullable: true
          description: A reference timestamp associated with the task in ISO 8601 format
        finalized_at:
          type: string
          format: date-time
          nullable: true
          description: >-
            The timestamp when the task was completed or canceled in ISO 8601
            format
        created_at:
          type: string
          format: date-time
          description: The timestamp when the task was created in ISO 8601 format
        updated_at:
          type: string
          format: date-time
          description: The timestamp when the task was last updated in ISO 8601 format
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````